Package org.duckdb

# Class DuckDBDatabase

java.lang.Object
org.duckdb.DuckDBDatabase

public class DuckDBDatabase extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ByteBuffer`
`db_ref`
`protected boolean`
`read_only`
`protected String`
`url`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBDatabase(String url, boolean read_only)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`finalize()`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### url

protected String url

### read_only

protected boolean read_only

### db_ref

protected ByteBuffer db_ref

## Constructor Details

### DuckDBDatabase

public DuckDBDatabase(String url, boolean read_only) throws SQLException

Throws:
  `SQLException`

## Method Details

### shutdown

public void shutdown()

### finalize

protected void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`